package freight

import (
	"context"
	"time"

	pb "bsm/full/module/ec/mall/pb"
	"git.apinb.com/bsm-sdk/core/service"
)

// ModifyRegion 编辑限制区域
func DenyRegionModify(ctx context.Context, in *pb.DenyRegionItem) (reply *pb.StatusReply, err error) {
	// parse authorization meta.
	_, err = service.ParseMetaCtx(ctx, &service.ParseOptions{RoleValue: "Mall_Admin"})
	if err != nil {
		return nil, err
	}

	// TODO: valid code

	// TODO: add your logic code & delete this line.

	return &pb.StatusReply{
		Code:    0,
		Message: "OK",
		Timeseq: time.Now().Unix(),
	}, nil

}
